Skip to main content
GET
/
v1
/
wallet-profiles
List Wallet Profiles
curl --request GET \
  --url https://api.example.com/v1/wallet-profiles
Endpoint: GET https://api.rebelfi.io/v1/wallet-profiles
List all wallet profiles for your organization.

Example Request

curl -X GET "https://api.rebelfi.io/v1/wallet-profiles" \
  -H "x-api-key: your_api_key"

Example Response

{
  "walletProfiles": [
    {
      "id": 1,
      "name": "Production",
      "isEnabled": true,
      "enabledChains": ["solana", "ethereum", "base"],
      "walletCount": 1250
    },
    {
      "id": 2,
      "name": "Staging",
      "isEnabled": true,
      "enabledChains": ["solana"],
      "walletCount": 50
    }
  ]
}

Response Fields

FieldTypeDescription
walletProfilesWalletProfile[]List of wallet profiles

WalletProfile Object

FieldTypeDescription
idnumberWallet profile identifier
namestringProfile name
isEnabledbooleanWhether the profile is currently enabled
enabledChainsstring[]Blockchain networks enabled for this profile
walletCountnumberNumber of wallets assigned to this profile